
from abstract_2d_finite_volumes import domain



create_mesh_from_regions(project.bounding_polygon,
                         boundary_tags={'back': [7, 8], 'side': [0, 6],
                                        'ocean': [1, 2, 3, 4, 5]},
                         maximum_triangle_area=100000,
                         interior_regions=interior_regions,
#                         filename=meshes_time_dir_name,
                         filename=meshes_dir_name,
                         use_cache=True,
                         verbose=True)



alphas = [0.001, 0.01, 0.1, 1.0, 10.0, 100.0]
domains = {}
print 'Setup computational domain'
for alpha in alphas:
    
    domain = Domain(meshes_dir_name, use_cache=True, verbose=True)
    print domain.statistics()
    domain.set_quantity('elevation', 
                    filename = project.topographies_dir + build_time + sep + project.combined_final_name + '.pts',
                    use_cache = True,
                    verbose = True,
                    alpha = alpha)